tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: Issues with jabberd2 package 2.3.1

"D'Arcy J.M. Cain" writes:
- I just installed jabberd2 from source and while it works there are a
- few issues with the package.

Crud, I thought I'd repeatedly tested all the options.  I know
what I'll be doing today.

- There is no ChangeLog file but it is in the PLIST.
- There are a bunch of options but they are not in the default options
- file .../mk/defaults/options.description.
- The MESSAGE file refers to NEWS but no such file is installed.  There
- is a NEWS file in the distribution but it is in a different place and
- in any case, I don't think that the message is correct.  It is
- basically the ChangeLog missing above.  It doesn't say what to do if
- upgrading from an earlier version.

Upstream declared that NEWS had replaced the UPGRADING file.
So, I'd made the appropriate update.  But you're right, it is
more like a Changelog.

- there is also this from pkglint:
- NOTE: Makefile:3: This package is newer than the update request to
- I think that this is confusing jabberd2 with the older jabberd
- package.  That package does not seem to be supported any more.  Perhaps
- we should just remove that older one.

Yes, it does seem to be confusing jabberd2 with jabberd1_4.

Unfortunately, both versions are maintained, and share a common
base name.

Eric Schnoebelen      
      Remember, Ginger Rogers did everything Fred Astaire did, but
      she did it backwards and in high heels.  -- Faith Whittlesey

Home | Main Index | Thread Index | Old Index